<template>
  <div
    class="pt-6 grid grid-cols-2 gap-6 sm:grid-cols-4 md:grid-cols-4 lg:grid-cols-6 xl:grid-cols-8"
  >
    <div>
      <StepCard
        v-bind:username="'You'"
        v-bind:amount=userSteps
      />
    </div>
    <div v-for="userStep in followerSteps" v-bind:key="userStep.Id">
      <StepCard
        v-bind:username="userStep.username"
        v-bind:amount="userStep.amount"
      />
    </div>
  </div>
</template>

<script>
import StepCard from "../StepCard.vue";
import axios from "axios";

export default {
  name: "StepTable",
  components: {
    StepCard
  },
  data() {
    return {
      followerSteps: [],
      userSteps: 0,
      user_service_url: import.meta.env.VITE_USER_URL


    };
  },
  methods: {
    GetFollowerSteps() {
      console.log("getting follower steps");
      axios
        .request({
          method: "get",
          url: this.user_service_url +  "/steps",
          headers: {
            "Content-Type": "application/json",
            "Access-Control-Allow-Origin": "*",
            Accept: "application/json",
            Authorization: `${localStorage.token}`,
          },
        })
        .then((response) => {
          this.followerSteps = response.data;
          this.followerSteps.forEach((userStep) => {
            console.log(userStep);
          });
          console.log("theses are the user steps: ", response.data);
        })
        .catch(function (error) {
          console.log("eror following");
          console.log(error);
        });
    },

    GetUserSteps() {
      console.log("getting user steps");
      axios
        .request({
          method: "get",
          url: this.user_service_url + "/userSteps",
          headers: {
            "Content-Type": "application/json",
            "Access-Control-Allow-Origin": "*",
            Accept: "application/json",
            Authorization: `${localStorage.token}`,
          },
        })
        .then((response) => {
          this.userSteps = response.data[0].amount;
          this.userSteps.forEach((userStep) => {
            console.log(userStep);
          });
          console.log("theses are the your steps: ", response.data);
        })
        .catch(function (error) {
          console.log(error);
        });
    },


  },
  mounted() {
    this.GetFollowerSteps();
    this.GetUserSteps();
  },
};
</script>

<style>
</style>